% Read the image
img = imread('sample.jpg');
% Convert to grayscale
grayImage = rgb2gray(img);
% Get intensity values
intensities = double(grayImage);
% Create heatmap
heatmap = mat2gray(intensities);
imshow(heatmap);
colormap(jet);
% Add title and labels
title('Heatmap of Image');
xlabel('X');
ylabel('Y');
% Adjust colorbar
colorbar;
% Save heatmap (optional)
imwrite(heatmap, 'heatmap.png');